GDAL

- Main Page
- Related Pages
- Classes
- Files
- Download
- Issue Tracker

- Class List
- Class Hierarchy
- Class Members

Public Attributes | List of all members
OSRCRSInfo Struct Reference

Structure given overall description of a CRS. More...

`#include <ogr_srs_api.h>`

## Public Attributes
char * | pszAuthName
| Authority name. More...
char * | pszCode
| Object code. More...
char * | pszName
| Object name. More...
OSRCRSType | eType
| Object type. More...
int | bDeprecated
| Whether the object is deprecated.
int | bBboxValid
| Whereas the west_lon_degree, south_lat_degree, east_lon_degree and north_lat_degree fields are valid. More...
double | dfWestLongitudeDeg
| Western-most longitude of the area of use, in degrees. More...
double | dfSouthLatitudeDeg
| Southern-most latitude of the area of use, in degrees. More...
double | dfEastLongitudeDeg
| Eastern-most longitude of the area of use, in degrees. More...
double | dfNorthLatitudeDeg
| Northern-most latitude of the area of use, in degrees. More...
char * | pszAreaName
| Name of the area of use. More...
char * | pszProjectionMethod
| Name of the projection method for a projected CRS. More...

## Detailed Description

Structure given overall description of a CRS.

This structure may grow over time, and should not be directly allocated by client code.

## Member Data Documentation

int OSRCRSInfo::bBboxValid

Whereas the west_lon_degree, south_lat_degree, east_lon_degree and north_lat_degree fields are valid.

double OSRCRSInfo::dfEastLongitudeDeg

Eastern-most longitude of the area of use, in degrees.

double OSRCRSInfo::dfNorthLatitudeDeg

Northern-most latitude of the area of use, in degrees.

double OSRCRSInfo::dfSouthLatitudeDeg

Southern-most latitude of the area of use, in degrees.

double OSRCRSInfo::dfWestLongitudeDeg

Western-most longitude of the area of use, in degrees.

OSRCRSType OSRCRSInfo::eType

Object type.

char* OSRCRSInfo::pszAreaName

Name of the area of use.

char* OSRCRSInfo::pszAuthName

Authority name.

char* OSRCRSInfo::pszCode

Object code.

char* OSRCRSInfo::pszName

Object name.

char* OSRCRSInfo::pszProjectionMethod

Name of the projection method for a projected CRS.

Might be NULL even for projected CRS in some cases.

The documentation for this struct was generated from the following file:

- ogr_srs_api.h

Generated for GDAL by 1.8.8.